ru.yandex.clickhouse.response

## Class ClickHouseColumnInfo

- java.lang.Object
- - ru.yandex.clickhouse.response.ClickHouseColumnInfo

    public final class ClickHouseColumnInfo
    extends Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ClickHouseDataType` `getArrayBaseType()`
`String` `getCleanTypeName()`
`ClickHouseDataType` `getClickHouseDataType()`
`String` `getColumnName()`
`String` `getOriginalTypeName()`
`int` `getPrecision()`
`int` `getScale()`
`boolean` `isNullable()`
`static ClickHouseColumnInfo` `parse(String typeInfo, String columnName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parse

    public static ClickHouseColumnInfo parse(String typeInfo,
                                             String columnName)

#### getClickHouseDataType

    public ClickHouseDataType getClickHouseDataType()

#### getOriginalTypeName

    public String getOriginalTypeName()

#### getCleanTypeName

    public String getCleanTypeName()

Returns:
  the type name returned from the database, without modifiers, i.e. Nullable or LowCardinality

#### getColumnName

    public String getColumnName()

#### isNullable

    public boolean isNullable()

#### getArrayBaseType

    public ClickHouseDataType getArrayBaseType()

#### getPrecision

    public int getPrecision()

#### getScale

    public int getScale()